#btn-lewati {
    position: relative;
    display: inline-block;
    cursor: pointer;
    outline: none;
    border: 0;
    vertical-align: middle;
    text-decoration: none;
    background: transparent;
    padding: 0;
    font-size: inherit;
    font-family: inherit;
   }
   
   #btn-lewati.learn-more {
    width: 12rem;
    height: auto;
   }
   
   #btn-lewati.learn-more .circle {
    transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    position: relative;
    display: block;
    margin: 0;
    width: 3rem;
    height: 3rem;
    background: #282936;
    border-radius: 1.625rem;
   }
   
   #btn-lewati.learn-more .circle .icon {
    transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    position: absolute;
    top: 0;
    bottom: 0;
    margin: auto;
    background: #fff;
   }
   
   #btn-lewati.learn-more .circle .icon.arrow {
    transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    left: 0.625rem;
    width: 1.125rem;
    height: 0.125rem;
    background: none;
   }
   
   #btn-lewati.learn-more .circle .icon.arrow::before {
    position: absolute;
    content: "";
    top: -0.29rem;
    right: 0.0625rem;
    width: 0.625rem;
    height: 0.625rem;
    border-top: 0.125rem solid #fff;
    border-right: 0.125rem solid #fff;
    transform: rotate(45deg);
   }
   
   #btn-lewati.learn-more .button-text {
    transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 0.75rem 0;
    margin: 0 0 0 1.85rem;
    color: #282936;
    font-weight: 700;
    line-height: 1.6;
    text-align: center;
    text-transform: uppercase;
   }
   
   #btn-lewati:hover .circle {
    width: 100%;
   }
   
   #btn-lewati:hover .circle .icon.arrow {
    background: #fff;
    transform: translate(1rem, 0);
   }
   
   #btn-lewati:hover .button-text {
    color: #fff;
   }

   /* button login */
   .login {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    width: 35px;
    height: 35px;
    border: none;
    border-radius: 50%;
    cursor: pointer;
    position: relative;
    overflow: hidden;
    transition-duration: .3s;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.199);
  }
  
  /* plus sign */
  .sign-login {
    width: 100%;
    transition-duration: .3s;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  
  .sign-login svg {
    width: 17px;
  }
  
  .sign-login svg path {
    fill: white;
  }
  /* text */
  .text-login {
    position: absolute;
    right: 0%;
    opacity: 0;
    color: white;
    font-weight: 600;
    transition-duration: .3s;
  }
  /* hover effect on button width */
  .login:hover {
    width: 100px;
    border-radius: 40px;
    transition-duration: .3s;
  }
  
  .login:hover .sign-login {
    width: 30%;
    transition-duration: .3s;
    padding-left: 20px;
  }
  /* hover effect button's text */
  .login:hover .text-login {
    opacity: 1;
    width: 70%;
    transition-duration: .3s;
    padding-right: 10px;
  }
  /* button click effect*/
  .login:active {
    transform: translate(2px ,2px);
  }

  /* animation loading */
  